<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net6.0-windows</TargetFramework>
    <UseWPF>true</UseWPF>
    <UseWindowsForms>True</UseWindowsForms>    
  </PropertyGroup>
  <ItemGroup>
    <None Remove="Fonts\iconfont.ttf" />
    <None Remove="Images\background.jpg" />
    <None Remove="Images\calendar.png" />
    <None Remove="Images\Union.png" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="HandyControl" Version="3.4.0" />
    <PackageReference Include="Microsoft.Xaml.Behaviors.Wpf" Version="1.1.39" />
    <PackageReference Include="MySql.Data" Version="8.0.33" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="Prism.Wpf" Version="8.1.97" />
    <PackageReference Include="WebSocket4Net" Version="0.15.2" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="DotRas">
      <HintPath>..\StartServerWPF\DotRas.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Fonts\iconfont.ttf" />
    <Resource Include="Images\background.jpg" />
    <Resource Include="Images\calendar.png" />
    <Resource Include="Images\Union.png" />
  </ItemGroup>
  <ItemGroup>
    <Page Update="Views\WaveformPlayBackView.xaml">
      <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      <SubType>Designer</SubType>
    </Page>
    <Page Update="Views\SetParamView.xaml">
      <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
    </Page>
  </ItemGroup>
</Project>